#! /bin/sh

if [ ! -f "$1" ]; then
    cat <<EOD
Usage: $0 PARAMETERS

Builds everything listed in parameter file PARAMETERS.

Example:
    $0 mini-hex.json
EOD
    return
fi

run () {
    echo "=== $*"
    "$@"
}

basedir=$(dirname $0)

cat $1 | jq -r ".parameterSets | keys | .[]" \
| while read param; do
    run openscad -o "chip-${param}.stl" -p "$1" -P "${param}" $basedir/chip.scad
done
